Name:           qps
Version:        1.9.19
Release:        0.2.b%{?dist}
Summary:        Visual process status monitor

Group:          Applications/System
License:        GPL
URL:            http://qps.kldp.net/
Source0:        http://kldp.net/frs/download.php/3839/qps-1.9.19b.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  qt-devel

%description
Qps is a GUI version of "ps" or "top".


%prep
%setup -q -n qps-1.9.19b


%build
unset QTDIR || : ; . %{_sysconfdir}/profile.d/qt.sh
qmake
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
install -D -p -m 0755 qps %{buildroot}%{_bindir}/qps
install -D -p -m 0644 qps.1 %{buildroot}%{_mandir}/man1/qps.1
install -D -p -m 0644 icon/icon.xpm %{buildroot}%{_datadir}/pixmaps/qps.xpm

desktop-file-install --vendor=fedora \
        --remove-category=Application \
        --dir %{buildroot}%{_datadir}/applications qps.desktop


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc CHANGES COPYING
%{_bindir}/qps
%{_datadir}/applications/*qps.desktop
%{_datadir}/pixmaps/qps.xpm
%{_mandir}/man1/qps.1*


%changelog
* Mon Mar 19 2007 Dawid Gajownik <gajownik[AT]gmail.com> - 1.9.19-0.2.b
- Update to 1.9.9b

* Mon Mar  5 2007 Dawid Gajownik <gajownik[AT]gmail.com> - 1.9.19-0.1.a
- Update to 1.9.19a

* Thu Oct  5 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 1.9.18.6-1
- Update to 1.9.18.6

* Mon Aug 28 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 1.9.18.5-1
- Update to 1.9.18.5
- Fix mixed-use-of-spaces-and-tabs rpmlint warning

* Sat Jul  1 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 1.9.17-1
- Update to 1.9.17

* Mon May 29 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 1.9.16-1
- Update to 1.9.16
- Turn on optflags
- Change e-mail address in ChangeLog entries

* Tue Apr 11 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 1.9.15-1
- Update to 1.9.15

* Wed Mar 22 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 1.9.14-1
- Update to 1.9.14

* Thu Mar  9 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 1.9.13-1
- Update to 1.9.13

* Wed Feb 22 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 1.9.12-1
- Update to 1.9.12
- Drop gcc41.patch (pushed upstream)

* Tue Feb 14 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 1.9.11-2.2
- Rebuild for Fedora Extras 5

* Sun Dec 18 2005 Dawid Gajownik <gajownik[AT]gmail.com> - 1.9.11-2.1
- Fix compilation with GCC 4.1
- Use funny release tag because tarball name contains `-' character
- Add COPYING file

* Sat Nov 12 2005 Dawid Gajownik <gajownik[AT]gmail.com> - 1.9.11-2
- Increase release tag (always do `cvs ci' before `make tag' ;) )

* Sat Nov 12 2005 Dawid Gajownik <gajownik[AT]gmail.com> - 1.9.11-1
- Update to 1.9.11.

* Thu Aug 25 2005 Dawid Gajownik <gajownik[AT]gmail.com> - 1.9.10-1
- Initial RPM release.
